h13321
s 00091/00000/00000
d D 1.1 83/03/23 16:15:54 bog 1 0
c date and time created 83/03/23 16:15:54 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmCPut (Val,Common,VarPtr)			    #
#			Input	Value:	CHARACTER value to stuff	    #
#				Common:	CHARACTER <common> code		    #
#				VarPtr:	Integer <variable> index	    #
#		    Variable stuffer for Menu subsystem.		    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmCPut(Value,Common,VarPtr)
CHARACTER Value,Common
INTEGER VarPtr
 
CHARACTER C
INTEGER V
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(COMMCAPABILITY)
#COMMON(CONFIG)
COMMON(COMMSTATE)
#COMMON(INITIALIZATION)
COMMON(MENUMACHINE)
COMMON(SPECIALKEYS)
COMMON(STRAPS)
#COMMON(SWITCHES)
ENDCOMMON
 
C = Common			# Assume not indexed access
V = VarPtr
 
If (C < 0) {			# Indexed access
  V = V+MenIx-1			#  is 1-based
  C = -C			# Make <common> positive
  }
 
#Switch (C) {			# Switch on commons
{Goto (101,102,103,199,105,106,107),C
 
# Case MEmBeamState:	CBmSt(V) = Value
    101 CBmSt(V) = Value
    Goto 199
 
# Case MCommCap:	CCmCp(V) = Value
    102 CCmCp(V) = Value
    Goto 199
 
# Case MCommState:	CCmSt(V) = Value
    103 CCmSt(V) = Value
    Goto 199
 
# Case MEmInit:		CInit(V) = Value
#   104 CInit(V) = Value
#   Goto 199
 
# Case MenuMachine:	CMenu(V) = Value
    105 CMenu(V) = Value
    Goto 199
 
# Case MSpecialKeys:	CSpKey(V) = Value
    106 CSpKey(V) = Value
    Goto 199
 
# Case MEmStraps:	CStrap(V) = Value
    107 CStrap(V) = Value
#   Goto 199
 
# Case MEmSwitches:	CSwtch(V) = Value
#   108 CSwtch(V) = Value
 
  199 Continue
   }
 
Return
End
E 1
